mxGraphViewReader (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.reader
Class mxGraphViewReader

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          com.mxgraph.reader.mxGraphViewReader

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

Direct Known Subclasses:
  mxGraphViewImageReader

    public abstract class mxGraphViewReader

extends DefaultHandler

An abstract converter that renders display XML data onto a canvas.

Field Summary
`protected mxICanvas` | `canvas` Holds the canvas to be used for rendering the graph.
`protected boolean` | `htmlLabels` Specifies if labels should be rendered as HTML markup.
`protected double` | `scale` Holds the global scale of the graph.

Constructor Summary
`mxGraphViewReader()`

Method Summary
`abstract mxICanvas` | `createCanvas(Map<String,Object> attrs)` Returns the canvas to be used for rendering.
`mxICanvas` | `getCanvas()` Returns the canvas that is used for rendering the graph.
`boolean` | `isHtmlLabels()` Returns the htmlLabels switch.
`void` | `parseElement(String tagName, Map<String,Object> attrs)` Parses the given element and paints it onto the canvas.
`static List<mxPoint>` | `parsePoints(String pts)` Parses the list of points into an object-oriented representation.
`String` | `parseState(mxCellState state, boolean edge)` Parses the bounds, absolute points and label information from the style of the state into its respective fields and returns the label of the cell.
`void` | `setHtmlLabels(boolean value)` Sets the htmlLabels switch.
`void` | `startElement(String uri, String localName, String qName, Attributes atts)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### canvas

    protected mxICanvas canvas

  Holds the canvas to be used for rendering the graph.

### scale

    protected double scale

  Holds the global scale of the graph. This is set just before createCanvas is called.

### htmlLabels

    protected boolean htmlLabels

  Specifies if labels should be rendered as HTML markup.

Constructor Detail

### mxGraphViewReader

    public mxGraphViewReader()

Method Detail

### setHtmlLabels

    public void setHtmlLabels(boolean value)

  Sets the htmlLabels switch.

### isHtmlLabels

    public boolean isHtmlLabels()

  Returns the htmlLabels switch.

### createCanvas

    public abstract mxICanvas createCanvas(Map<String,Object> attrs)

  Returns the canvas to be used for rendering.

  Parameters:
    `attrs` - Specifies the attributes of the new canvas.
  Returns:
    Returns a new canvas.

### getCanvas

    public mxICanvas getCanvas()

  Returns the canvas that is used for rendering the graph.

  Returns:
    Returns the canvas.

### startElement

    public void startElement(String uri,
                             String localName,
                             String qName,
                             Attributes atts)
                      throws SAXException

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `DefaultHandler`
  Throws:
    `SAXException`

### parseElement

    public void parseElement(String tagName,
                             Map<String,Object> attrs)

  Parses the given element and paints it onto the canvas.

  Parameters:
    `tagName` - Name of the node to be parsed.
    `attrs` - Attributes of the node to be parsed.

### parseState

    public String parseState(mxCellState state,
                             boolean edge)

  Parses the bounds, absolute points and label information from the style of the state into its respective fields and returns the label of the cell.

### parsePoints

    public static List<mxPoint> parsePoints(String pts)

  Parses the list of points into an object-oriented representation.

  Parameters:
    `pts` - String containing a list of points.
  Returns:
    Returns the points as a list of mxPoints.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.